## python-cursive 0.1.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0
lxml>=2.3 # BSD
cryptography!=1.3.0,>=1.0 # BSD/Apache-2.0
netifaces>=0.10.4 # MIT
six>=1.9.0 # MIT
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
castellan>=0.4.0 # Apache-2.0

=== debian/changelog ===
python-cursive (0.1.1-1ubuntu1) yakkety; urgency=medium

  * d/control: Amend python:Depends -> python3:Depends for Python 3
    package.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Sep 2016 15:08:43 +0100

python-cursive (0.1.1-1) experimental; urgency=medium

  * Initial release (Closes: #836268).

 -- James Page <james.page@ubuntu.com>  Thu, 01 Sep 2016 09:49:15 +0100

=== debian/control ===
Source: python-cursive
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: James Page <james.page@ubuntu.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr,
               python3-setuptools,
Build-Depends-Indep: python-castellan (>= 0.4.0),
                     python-coverage (>= 3.6),
                     python-cryptography (>= 1.0),
                     python-hacking,
                     python-lxml (>= 2.3),
                     python-netifaces (>= 0.10.4),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.16.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-reno,
                     python-six (>= 1.9.0),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python3-castellan (>= 0.4.0),
                     python3-cryptography (>= 1.0),
                     python3-lxml (>= 2.3),
                     python3-netifaces (>= 0.10.4),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-oslo.utils (>= 3.16.0),
                     python3-oslotest (>= 1.10.0),
                     python3-reno,
                     python3-six (>= 1.9.0),
                     python3-testscenarios (>= 0.4),
                     python3-testtools (>= 1.4.0),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-cursive.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/python-cursive.git
Homepage: https://github.com/openstack/cursive

Package: python-cursive
Architecture: all
Depends: python-castellan (>= 0.4.0),
         python-cryptography (>= 1.0),
         python-lxml (>= 2.3),
         python-netifaces (>= 0.10.4),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.16.0),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-cursive-doc,
Description: OpenStack specific validation of digital signatures - Python 2
 As OpenStack continues to mature, robust security controls become increasingly
 critical. The cursive project contains code extracted from various OpenStack
 projects for verifying digital signatures. Additional capabilities will be
 added to this project in support of various security features.
 .
 This package contains the Python 2 module.

Package: python3-cursive
Architecture: all
Depends: python3-castellan (>= 0.4.0),
         python3-cryptography (>= 1.0),
         python3-lxml (>= 2.3),
         python3-netifaces (>= 0.10.4),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-oslo.utils (>= 3.16.0),
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-cursive-doc,
Description: OpenStack specific validation of digital signatures - Python 3
 As OpenStack continues to mature, robust security controls become increasingly
 critical. The cursive project contains code extracted from various OpenStack
 projects for verifying digital signatures. Additional capabilities will be
 added to this project in support of various security features.
 .
 This package contains the Python 3 module.

Package: python-cursive-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack specific validation of digital signatures - doc
 As OpenStack continues to mature, robust security controls become increasingly
 critical. The cursive project contains code extracted from various OpenStack
 projects for verifying digital signatures. Additional capabilities will be
 added to this project in support of various security features.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/cursive.git
-include /usr/share/openstack-pkg-tools/pkgos.make


%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-cursive; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-cursive; \
	done
	rm -rf $(CURDIR)/debian/python*-cursive/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python setup.py build_sphinx
	cp -rf doc/build/html $(CURDIR)/debian/python-cursive-doc/usr/share/doc/python-cursive-doc
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Skip commands
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-cursive 0.1.2

=== debian/changelog ===
python-cursive (0.1.2-3~bpo9+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@stretch-pike.infomaniak.ch>  Wed, 20 Nov 2019 20:59:01 +0000

python-cursive (0.1.2-3) unstable; urgency=medium

  * Team upload.
  * Have python3 package depend on python3:Depends (Closes: #865921)

 -- Ondřej Nový <onovy@debian.org>  Tue, 31 Oct 2017 14:45:42 +0100

python-cursive (0.1.2-2) unstable; urgency=medium

  * Uploading to unstable.
  * Standards-Version is now 4.1.1.

 -- Thomas Goirand <zigo@debian.org>  Sun, 29 Oct 2017 19:00:54 +0000

python-cursive (0.1.2-1) experimental; urgency=medium

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 07 Oct 2017 11:05:58 +0200

python-cursive (0.1.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed oslotest EPOCH.
  * Added myself as uploader.
  * Using pkgos-dh_auto_{test,install} from openstack-pkg-tools >= 52~.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Sep 2016 10:10:32 +0200

=== debian/control ===
Source: python-cursive
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 James Page <james.page@ubuntu.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr,
 python-setuptools,
 python-sphinx,
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python-castellan,
 python-coverage,
 python-cryptography,
 python-hacking,
 python-lxml,
 python-netifaces,
 python-oslo.i18n,
 python-oslo.log,
 python-oslo.serialization,
 python-oslo.utils,
 python-oslosphinx,
 python-oslotest,
 python-reno,
 python-six,
 python-testscenarios,
 python-testtools,
 python3-castellan,
 python3-cryptography,
 python3-lxml,
 python3-netifaces,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-reno,
 python3-six,
 python3-testscenarios,
 python3-testtools,
 subunit,
 testrepository,
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/libs/python-cursive.git
Vcs-Git: https://anonscm.debian.org/git/openstack/libs/python-cursive.git
Homepage: https://github.com/openstack/cursive

Package: python-cursive
Architecture: all
Depends:
 python-castellan,
 python-cryptography,
 python-lxml,
 python-netifaces,
 python-oslo.i18n,
 python-oslo.log,
 python-oslo.serialization,
 python-oslo.utils,
 python-six,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-cursive-doc,
Description: OpenStack specific validation of digital signatures - Python 2
 As OpenStack continues to mature, robust security controls become increasingly
 critical. The cursive project contains code extracted from various OpenStack
 projects for verifying digital signatures. Additional capabilities will be
 added to this project in support of various security features.
 .
 This package contains the Python 2 module.

Package: python-cursive-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack specific validation of digital signatures - doc
 As OpenStack continues to mature, robust security controls become increasingly
 critical. The cursive project contains code extracted from various OpenStack
 projects for verifying digital signatures. Additional capabilities will be
 added to this project in support of various security features.
 .
 This package contains the documentation.

Package: python3-cursive
Architecture: all
Depends:
 python3-castellan,
 python3-cryptography,
 python3-lxml,
 python3-netifaces,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-cursive-doc,
Description: OpenStack specific validation of digital signatures - Python 3
 As OpenStack continues to mature, robust security controls become increasingly
 critical. The cursive project contains code extracted from various OpenStack
 projects for verifying digital signatures. Additional capabilities will be
 added to this project in support of various security features.
 .
 This package contains the Python 3 module.

## python-cursive 0.2.1

=== requirements.txt ===
--- 
+++ 
@@ -10,4 +10,5 @@
 oslo.serialization>=1.10.0 # Apache-2.0
 oslo.utils>=3.16.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0
+oslo.log>=1.14.0 # Apache-2.0
 castellan>=0.4.0 # Apache-2.0

=== debian/changelog ===
python-cursive (0.2.1-0ubuntu1) bionic; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.2.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 29 Jan 2018 08:37:33 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-cursive
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  James Page <james.page@ubuntu.com>,
  Thomas Goirand <zigo@debian.org>,
@@ -10,60 +11,71 @@
  dh-python,
  openstack-pkg-tools,
  python-all,
- python-pbr,
+ python-pbr (>= 1.6),
  python-setuptools,
- python-sphinx,
+ python-sphinx (>= 1.2.1),
  python3-all,
- python3-pbr,
+ python3-pbr (>= 1.6),
  python3-setuptools,
+ python3-sphinx (>= 1.2.1),
 Build-Depends-Indep:
- python-castellan,
- python-coverage,
- python-cryptography,
- python-hacking,
- python-lxml,
- python-netifaces,
- python-oslo.i18n,
- python-oslo.log,
- python-oslo.serialization,
- python-oslo.utils,
- python-oslosphinx,
- python-oslotest,
- python-reno,
- python-six,
- python-testscenarios,
- python-testtools,
- python3-castellan,
- python3-cryptography,
- python3-lxml,
- python3-netifaces,
- python3-oslo.i18n,
- python3-oslo.serialization,
- python3-oslo.utils,
- python3-oslotest,
- python3-reno,
- python3-six,
- python3-testscenarios,
- python3-testtools,
+ python-castellan (>= 0.4.0),
+ python-coverage (>= 3.6),
+ python-cryptography (>= 1.0),
+ python-hacking (>= 0.11.0),
+ python-lxml (>= 2.3),
+ python-mock (>= 2.0.0),
+ python-netifaces (>= 0.10.4),
+ python-oslo.i18n (>= 2.1.0),
+ python-oslo.log (>= 1.14.0),
+ python-oslo.serialization (>= 1.10.0),
+ python-oslo.utils (>= 3.16.0),
+ python-oslosphinx (>= 2.5.0),
+ python-oslotest (>= 1:1.10.0),
+ python-reno (>= 1.8.0),
+ python-six (>= 1.9.0),
+ python-subunit (>= 0.0.18),
+ python-testrepository (>= 0.0.18),
+ python-testscenarios (>= 0.4),
+ python-testtools (>= 1.4.0),
+ python3-castellan (>= 0.4.0),
+ python3-coverage (>= 3.6),
+ python3-cryptography (>= 1.0),
+ python3-hacking (>= 0.11.0),
+ python3-lxml (>= 2.3),
+ python3-mock (>= 2.0.0),
+ python3-netifaces (>= 0.10.4),
+ python3-oslo.i18n (>= 2.1.0),
+ python3-oslo.serialization (>= 1.10.0),
+ python3-oslo.utils (>= 3.16.0),
+ python3-oslosphinx (>= 2.5.0),
+ python3-oslotest (>= 1:1.10.0),
+ python3-reno (>= 1.8.0),
+ python3-six (>= 1.9.0),
+ python3-subunit (>= 0.0.18),
+ python3-testrepository (>= 0.0.18),
+ python3-testscenarios (>= 0.4),
+ python3-testtools (>= 1.4.0),
  subunit,
  testrepository,
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/libs/python-cursive.git
-Vcs-Git: https://anonscm.debian.org/git/openstack/libs/python-cursive.git
+Standards-Version: 4.1.2
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-cursive
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-cursive
 Homepage: https://github.com/openstack/cursive
 
 Package: python-cursive
 Architecture: all
 Depends:
- python-castellan,
- python-cryptography,
- python-lxml,
- python-netifaces,
- python-oslo.i18n,
- python-oslo.log,
- python-oslo.serialization,
- python-oslo.utils,
- python-six,
+ python-castellan (>= 0.4.0),
+ python-cryptography (>= 1.0),
+ python-lxml (>= 2.3),
+ python-netifaces (>= 0.10.4),
+ python-oslo.i18n (>= 2.1.0),
+ python-oslo.log (>= 1.14.0),
+ python-oslo.serialization (>= 1.10.0),
+ python-oslo.utils (>= 3.16.0),
+ python-pbr (>= 1.6),
+ python-six (>= 1.9.0),
  ${misc:Depends},
  ${python:Depends},
 Suggests:
@@ -93,15 +105,16 @@
 Package: python3-cursive
 Architecture: all
 Depends:
- python3-castellan,
- python3-cryptography,
- python3-lxml,
- python3-netifaces,
- python3-oslo.i18n,
- python3-oslo.log,
- python3-oslo.serialization,
- python3-oslo.utils,
- python3-six,
+ python3-castellan (>= 0.4.0),
+ python3-cryptography (>= 1.0),
+ python3-lxml (>= 2.3),
+ python3-netifaces (>= 0.10.4),
+ python3-oslo.i18n (>= 2.1.0),
+ python3-oslo.log (>= 1.14.0),
+ python3-oslo.serialization (>= 1.10.0),
+ python3-oslo.utils (>= 3.16.0),
+ python3-pbr (>= 1.6),
+ python3-six (>= 1.9.0),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/cursive.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif


override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python setup.py build_sphinx
	cp -rf doc/build/html $(CURDIR)/debian/python-cursive-doc/usr/share/doc/python-cursive-doc
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build


# Skip commands
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-cursive 0.2.2

=== requirements.txt ===
--- 
+++ 
@@ -3,10 +3,7 @@
 # process, which may cause wedges in the gate later.
 
 pbr>=1.6 # Apache-2.0
-lxml>=2.3 # BSD
 cryptography!=1.3.0,>=1.0 # BSD/Apache-2.0
-netifaces>=0.10.4 # MIT
-six>=1.9.0 # MIT
 oslo.serialization>=1.10.0 # Apache-2.0
 oslo.utils>=3.16.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0

=== debian/changelog ===
python-cursive (0.2.2-4) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 12:33:24 +0200

python-cursive (0.2.2-3) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Fixed upstream URLs in d/rules, d/copyright and d/control.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Apr 2020 17:20:23 +0200

python-cursive (0.2.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Jul 2019 20:51:11 +0200

python-cursive (0.2.2-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Add trailing tilde to min version depend to allow
    backports
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Mar 2019 10:18:52 +0100

python-cursive (0.2.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 22:56:29 +0000

python-cursive (0.2.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Feb 2018 07:30:00 +0000

=== debian/control ===
Source: python-cursive
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 James Page <james.page@ubuntu.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-castellan,
 python3-coverage,
 python3-cryptography,
 python3-hacking,
 python3-lxml,
 python3-mock,
 python3-netifaces,
 python3-openstackdocstheme,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-reno,
 python3-six,
 python3-testscenarios,
 python3-testtools,
 subunit,
 testrepository,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-cursive
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-cursive.git
Homepage: https://opendev.org/x/cursive.git

Package: python-cursive-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack specific validation of digital signatures - doc
 As OpenStack continues to mature, robust security controls become increasingly
 critical. The cursive project contains code extracted from various OpenStack
 projects for verifying digital signatures. Additional capabilities will be
 added to this project in support of various security features.
 .
 This package contains the documentation.

Package: python3-cursive
Architecture: all
Depends:
 python3-castellan,
 python3-cryptography,
 python3-lxml,
 python3-netifaces,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-cursive-doc,
Description: OpenStack specific validation of digital signatures - Python 3
 As OpenStack continues to mature, robust security controls become increasingly
 critical. The cursive project contains code extracted from various OpenStack
 projects for verifying digital signatures. Additional capabilities will be
 added to this project in support of various security features.
 .
 This package contains the Python 3 module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://opendev.org/x/cursive.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-cursive-doc/usr/share/doc/python-cursive-doc/html
	dh_sphinxdoc
endif

## python-cursive 0.2.3

=== requirements.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # process, which may cause wedges in the gate later.
 
 pbr>=1.6 # Apache-2.0
-cryptography!=1.3.0,>=1.0 # BSD/Apache-2.0
+cryptography>=2.1 # BSD/Apache-2.0
 oslo.serialization>=1.10.0 # Apache-2.0
 oslo.utils>=3.16.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

sphinx>=1.6.2,!=1.6.6 # BSD
openstackdocstheme>=1.17.0  # Apache-2.0

# releasenotes
reno>=1.8.0 # Apache2

=== debian/changelog ===
python-cursive (0.2.3-4) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090479).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 11:26:35 +0100

python-cursive (0.2.3-3) unstable; urgency=medium

  * Remove extraneous python3-six dependencies (Closes: #1068099).

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Apr 2024 13:51:15 +0200

python-cursive (0.2.3-2) unstable; urgency=medium

  * Cleans better (Closes: #1045732).

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Aug 2023 16:19:26 +0200

python-cursive (0.2.3-1) unstable; urgency=medium

  * New upstream release:
    - Fixes FTBFS because of unit tests (Closes: #1026702).
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Sun, 01 Jan 2023 15:44:04 +0100

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,6 @@
  python3-oslo.utils,
  python3-oslotest,
  python3-reno,
- python3-six,
  python3-testscenarios,
  python3-testtools,
  subunit,
@@ -62,7 +61,6 @@
  python3-oslo.log,
  python3-oslo.serialization,
  python3-oslo.utils,
- python3-six,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,11 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	rm -rf build
+	find . -type d -name __pycache__ -exec rm -r {} \+
 
 override_dh_auto_build:
 	echo "Do nothing..."

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/cursive/tags .*/(\d[\d\.]+)\.tar\.gz
